%global goipath         go.ligato.io/vpp-probe
%global forgeurl        https://github.com/ligato/vpp-probe

Version:        0.2.0

%gometa

%global common_description %{expand:
VPP-probe is a command-line tool for inspecting and monitoring of
VPP instances running in any kind of environment (Kubernetes, Docker,
Local). It aims to help during debugging of issues that occur in
the distributed systems containing several VPP instances.}

%global golicenses      LICENSE
%global godocs          README.md

Name:           %{goname}
Release:        1%{?dist}
Summary:        A command-line tool for inspecting and monitoring of VPP instances

# Upstream license specification: Apache-2.0
License:        ASL 2.0
URL:            %{gourl}
Source0:        %{gosource}

BuildRequires:  golang(github.com/docker/cli/cli/streams)
BuildRequires:  golang(github.com/fsouza/go-dockerclient)
BuildRequires:  golang(github.com/gdamore/tcell/v2)
BuildRequires:  golang(github.com/go-stack/stack)
BuildRequires:  golang(github.com/goccy/go-yaml)
BuildRequires:  golang(github.com/gookit/color)
BuildRequires:  golang(github.com/k0kubun/pp)
BuildRequires:  golang(github.com/mitchellh/go-homedir)
BuildRequires:  golang(github.com/mitchellh/go-ps)
BuildRequires:  golang(github.com/moby/term)
BuildRequires:  golang(github.com/pkg/errors)
BuildRequires:  golang(github.com/segmentio/textio)
BuildRequires:  golang(github.com/sirupsen/logrus)
BuildRequires:  golang(github.com/spf13/cobra)
BuildRequires:  golang(github.com/spf13/pflag)
BuildRequires:  golang(github.com/stretchr/testify)
BuildRequires:  golang(gitlab.com/tslocum/cview)
BuildRequires:  golang(go.fd.io/govpp)
BuildRequires:  golang(go.ligato.io/cn-infra/v2)
BuildRequires:  golang(go.ligato.io/vpp-agent/v3)
BuildRequires:  golang(google.golang.org/protobuf/proto)
BuildRequires:  golang(k8s.io/api/core/v1)
BuildRequires:  golang(k8s.io/apimachinery/pkg/types)
BuildRequires:  golang(k8s.io/cli-runtime/pkg/genericclioptions)
BuildRequires:  golang(k8s.io/client-go/kubernetes/scheme)
BuildRequires:  golang(k8s.io/klog)

%description
%{common_description}

%godevelpkg

%package -n vpp-probe
Summary:       %{summary}

%description -n vpp-probe
%{common_description}

%prep
%goprep

%build
%gobuild -o %{gobuilddir}/bin/vpp-probe %{goipath}

%install
%godevelinstall
install -m 0755 -vd %{buildroot}%{_bindir}
install -m 0755 -vp %{gobuilddir}/bin/* %{buildroot}%{_bindir}

%gopkgfiles

%files -n vpp-probe
%license LICENSE
%doc README.md
%{_bindir}/vpp-probe

%changelog
